Package htsjdk.samtools.filter

# Class FilteringIterator

java.lang.Object
htsjdk.samtools.filter.FilteringSamIterator
htsjdk.samtools.filter.FilteringIterator

All Implemented Interfaces:
  `CloseableIterator<SAMRecord>`, `Closeable`, `AutoCloseable`, `Iterator<SAMRecord>`

@Deprecated public class FilteringIterator extends FilteringSamIterator
Deprecated.
use `FilteringSamIterator` instead
Filtering Iterator which takes a filter and an iterator and iterates through only those records which are not rejected by the filter.

$Id$

## Constructor Summary

Constructors
Constructor
Description
`FilteringIterator(Iterator<SAMRecord> iterator, SamRecordFilter filter)`
Deprecated.
`FilteringIterator(Iterator<SAMRecord> iterator, SamRecordFilter filter, boolean filterByPair)`
Deprecated.

## Method Summary

### Methods inherited from class htsjdk.samtools.filter.FilteringSamIterator

`close, hasNext, next, remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface htsjdk.samtools.util.CloseableIterator

`stream, toList`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### FilteringIterator

public FilteringIterator(Iterator<SAMRecord> iterator, SamRecordFilter filter, boolean filterByPair)
Deprecated.

### FilteringIterator

public FilteringIterator(Iterator<SAMRecord> iterator, SamRecordFilter filter)
Deprecated.